Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io.parser.gen
Class TermParser

    java.lang.Object
      gnu.prolog.io.parser.gen.TermParser

All Implemented Interfaces:
  TermParserConstants

    public final class TermParser

extends Object
implements TermParserConstants

Field Summary
`protected Environment` | `environment`
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`TermParserTokenManager` | `token_source`

Fields inherited from interface gnu.prolog.io.parser.gen.TermParserConstants
`ALPHA_CHAR, ALPHA_NUMERIC_CHAR, ANONYMOUS_VARIABLE, BACK_QUOTE_CHAR, BACK_QUOTED_CHAR, BACK_QUOTED_ITEM, BACK_QUOTED_STRING, BACKSLASH_CHAR, BINARY_CONSTANT, BINARY_DIGIT_CHAR, BRACKETED_COMMENT, CAPITAL_LETTER_CHAR, CHAR_CODE_LIST_TOKEN, CHARACTER_CODE_CONSTANT, CHARARCTER, CLOSE_CHAR, CLOSE_CURLY_CHAR, CLOSE_CURLY_TOKEN, CLOSE_LIST_CHAR, CLOSE_LIST_TOKEN, CLOSE_TOKEN, COMMA_CHAR, COMMA_TOKEN, COMMENT, CONTINUATION_ESCAPE_SEQUENCE, CONTROL_ESCAPE_SEQUENCE, CUT_CHAR, CUT_TOKEN, DECIMAL_DIGIT_CHAR, DEFAULT, DOUBLE_QUOTE_CHAR, DOUBLE_QUOTED_CHAR, DOUBLE_QUOTED_ITEM, END_CHAR, END_LINE_COMMENT_CHAR, END_TOKEN, EOF, EXPONENT, FLOAT_NUMBER_TOKEN, FRACTION, GRAPHIC_CHAR, GRAPHIC_CHAR_PERIOD, GRAPHIC_TOKEN, GRAPHIC_TOKEN_CHAR, HEAD_TAIL_SEPARATOR_CHAR, HEAD_TAIL_SEPARATOR_TOKEN, HEXADECIMAL_CONSTANT, HEXADECIMAL_DIGIT_CHAR, HEXADECIMAL_ESCAPE_SEQUENCE, IDENTIFIER_TOKEN, INTEGER_CONSTANT, INTEGER_TOKEN, LAYOUT_CHAR, LAYOUT_TEXT, LAYOUT_TEXT_SEQUENCE, LETTER_CHAR, META_CHAR, META_ESCAPE_SEQUENCE, NAME_TOKEN, NAMED_VARIABLE, NEW_LINE_CHAR, NON_QUOTE_CHAR, OCTAL_CONSTANT, OCTAL_DIGIT_CHAR, OCTAL_ESCAPE_SEQUENCE, OPEN_CHAR, OPEN_CURLY_CHAR, OPEN_CURLY_TOKEN, OPEN_LIST_CHAR, OPEN_LIST_TOKEN, OPEN_TOKEN, QUOTED_TOKEN, SEMICOLON_CHAR, SEMICOLON_TOKEN, SINGLE_LINE_COMMENT, SINGLE_QUOTE_CHAR, SINGLE_QUOTED_CHAR, SINGLE_QUOTED_ITEM, SMALL_LETTER_CHAR, SOLO_CHAR, SPACE_CHAR, SYMBOLIC_ALERT_CHAR, SYMBOLIC_BACKSPACE_CHAR, SYMBOLIC_CARRIAGE_RETURN_CHAR, SYMBOLIC_CONTROL_CHAR, SYMBOLIC_FORM_FEED_CHAR, SYMBOLIC_HEXADECIMAL_CHAR, SYMBOLIC_HORIZONTAL_TAB_CHAR, SYMBOLIC_NEW_LINE_CHAR, SYMBOLIC_VERTICAL_TAB_CHAR, tokenImage, UNDERSCORE_CHAR, VARIABLE_INDICATOR_CHAR, VARIABLE_TOKEN`

Constructor Summary
`TermParser(CharStream stream)`
`TermParser(ReaderCharStream str, Environment env)`
`TermParser(Reader r, int line, int col, Environment environment)`
`TermParser(TermParserTokenManager tm)`

Method Summary
`Term` | `char_code_list()`
`void` | `close_curly()`
`void` | `close_list()`
`void` | `close()`
`void` | `comma()`
`CompoundTerm` | `compound(ReadOptions options)`
`Term` | `curly_term(ReadOptions options)`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`void` | `end()`
`FloatTerm` | `float_number()`
`ParseException` | `generateParseException()`
`int` | `getCurrentColumn()`
`int` | `getCurrentLine()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `ht_sep()`
`IntegerTerm` | `integer()`
`boolean` | `isFunctor()`
`Term` | `list_term(ReadOptions options)`
`AtomTerm` | `name()`
`CompoundTermTag` | `op(ReadOptions options, int priority)`
`CompoundTermTag` | `op2(ReadOptions options, int priority)`
`void` | `open_ct()`
`void` | `open_curly()`
`void` | `open_list()`
`void` | `open()`
`Term` | `readTerm(ReadOptions options)`
`Term` | `readTermEof(ReadOptions options)`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(TermParserTokenManager tm)`
`Term` | `simpleTerm(ReadOptions options)`
`Term` | `term(ReadOptions options, int priority)`
`VariableTerm` | `variable(ReadOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### environment

    protected Environment environment

### token_source

    public TermParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### TermParser

    public TermParser(Reader r,
                      int line,
                      int col,
                      Environment environment)

### TermParser

    public TermParser(ReaderCharStream str,
                      Environment env)

### TermParser

    public TermParser(CharStream stream)

### TermParser

    public TermParser(TermParserTokenManager tm)

Method Detail

### getCurrentLine

    public int getCurrentLine()

### getCurrentColumn

    public int getCurrentColumn()

### isFunctor

    public boolean isFunctor()

### readTerm

    public final Term readTerm(ReadOptions options)
                        throws ParseException

  Throws:
    `ParseException`

### readTermEof

    public final Term readTermEof(ReadOptions options)
                           throws ParseException

  Throws:
    `ParseException`

### term

    public final Term term(ReadOptions options,
                           int priority)
                    throws ParseException

  Throws:
    `ParseException`

### op

    public final CompoundTermTag op(ReadOptions options,
                                    int priority)
                             throws ParseException

  Throws:
    `ParseException`

### op2

    public final CompoundTermTag op2(ReadOptions options,
                                     int priority)
                              throws ParseException

  Throws:
    `ParseException`

### simpleTerm

    public final Term simpleTerm(ReadOptions options)
                          throws ParseException

  Throws:
    `ParseException`

### list_term

    public final Term list_term(ReadOptions options)
                         throws ParseException

  Throws:
    `ParseException`

### curly_term

    public final Term curly_term(ReadOptions options)
                          throws ParseException

  Throws:
    `ParseException`

### compound

    public final CompoundTerm compound(ReadOptions options)
                                throws ParseException

  Throws:
    `ParseException`

### name

    public final AtomTerm name()
                        throws ParseException

  Throws:
    `ParseException`

### variable

    public final VariableTerm variable(ReadOptions options)
                                throws ParseException

  Throws:
    `ParseException`

### integer

    public final IntegerTerm integer()
                              throws ParseException

  Throws:
    `ParseException`

### float_number

    public final FloatTerm float_number()
                                 throws ParseException

  Throws:
    `ParseException`

### char_code_list

    public final Term char_code_list()
                              throws ParseException

  Throws:
    `ParseException`

### open

    public final void open()
                    throws ParseException

  Throws:
    `ParseException`

### open_ct

    public final void open_ct()
                       throws ParseException

  Throws:
    `ParseException`

### close

    public final void close()
                     throws ParseException

  Throws:
    `ParseException`

### open_list

    public final void open_list()
                         throws ParseException

  Throws:
    `ParseException`

### close_list

    public final void close_list()
                          throws ParseException

  Throws:
    `ParseException`

### open_curly

    public final void open_curly()
                          throws ParseException

  Throws:
    `ParseException`

### close_curly

    public final void close_curly()
                           throws ParseException

  Throws:
    `ParseException`

### ht_sep

    public final void ht_sep()
                      throws ParseException

  Throws:
    `ParseException`

### comma

    public final void comma()
                     throws ParseException

  Throws:
    `ParseException`

### end

    public final void end()
                   throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(TermParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD